List
curl --request GET \
--url https://api.qa.sima.ag/api/v2/third_party/work_order_labour_type_attributes \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/work_order_labour_type_attributes"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v2/third_party/work_order_labour_type_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/work_order_labour_type_attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"name": "Horas",
"description": "Registro de horas de trabajo. Ejemplo: 5 hs Unidad: horas",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"name": "Pasadas",
"description": "Cantidad de pasadas del implemento o maquinaria en el terreno. Ejemplo: 3 pasadas Unidad: sin unidad o “pasadas”",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"name": "Profundidad",
"description": "Profundidad de trabajo de los distintos implementos\tya que trabajan a diferentes profundidades en el suelo. Ej: 25 cm Unidad: cm",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4,
"name": "Ancho",
"description": "Ancho de labor del implemento. Ej: 10 metros Unidad: metros (m)",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 5,
"name": "Kilometros",
"description": "Registro de la cantidad de km realizados por un vehículo (para el gasto). Ej: 120 km Unidad: km",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 6,
"name": "Cantidad",
"description": "Es un campo abierto para registrar cantidad “x” de cosas. Ej: 4 rollos Unidad: sin unidad. Es abierto",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 7,
"name": "Fecha de inicio",
"description": "Fecha de inicio, ya que es una labor que lleva varios días.",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 8,
"name": "Fecha de fin",
"description": "Fecha de fin, ya que es una labor que lleva varios días.",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 9,
"name": "Hora de inicio",
"description": "Para medir la catidad de hs que trabaja una máquina, para el pago.",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 10,
"name": "Hora de fin",
"description": "Para medir la catidad de hs que trabaja una máquina, para el pago.",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 3,
"total_items": 30
}Version 1 > Work Order Labour Type Attribute
List
GET
/
api
/
v2
/
third_party
/
work_order_labour_type_attributes
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

